<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-button (click)="navigateBack()">
        <ion-icon slot="icon-only" name="arrow-back"></ion-icon>
      </ion-button>
    </ion-buttons>
    <ion-title>
      Sales Invoice
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content class="page-background">
  <ion-card>
    <ion-card-header class="ion-no-padding">
      <ion-segment [(ngModel)]="selectedSegment" scrollable="true">
        <ion-segment-button value="0">
          <ion-label>Details</ion-label>
        </ion-segment-button>
        <ion-segment-button value="1">
          <ion-label>Serials</ion-label>
        </ion-segment-button>
        <ion-segment-button value="2">
          <ion-label>Accounts</ion-label>
        </ion-segment-button>
        <ion-segment-button value="3">
          <ion-label>Sales Return</ion-label>
        </ion-segment-button>
        <ion-segment-button value="4">
          <ion-label>Warranty</ion-label>
        </ion-segment-button>
        <ion-segment-button value="5">
          <ion-label>Credit Notes</ion-label>
        </ion-segment-button>
      </ion-segment>
    </ion-card-header>
  </ion-card>

  <div [ngSwitch]="selectedSegment">
    <sales-invoice-details class="width" *ngSwitchCase="0">
    </sales-invoice-details>
    <sales-invoice-serials class="width" *ngSwitchCase="1">
    </sales-invoice-serials>
    <sales-invoice-accounts
      class="width"
      *ngSwitchCase="2"
    ></sales-invoice-accounts>
    <sales-invoice-return
      class="width"
      *ngSwitchCase="3"
    ></sales-invoice-return>
    <sales-invoice-warranty
      class="width"
      *ngSwitchCase="4"
    ></sales-invoice-warranty>
    <sales-invoice-credit-notes class="width" *ngSwitchCase="5">
    </sales-invoice-credit-notes>
  </div>
</ion-content>
